Skip to main content
GET
/
toucan
/
tokens
/
{tokenRefId}
/
status
Get token status
curl --request GET \
  --url https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/status \
  --header 'Authorization: Bearer <token>' \
  --header 'x-merchant-id: <x-merchant-id>'
import requests

url = "https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/status"

headers = {
"x-merchant-id": "<x-merchant-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-merchant-id': '<x-merchant-id>', Authorization: 'Bearer <token>'}
};

fetch('https://services.sandbox.pagosapi.com/toucan/tokens/{tokenRefId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "cardNetworkName": "<string>",
  "tokenRefId": "<string>",
  "expirationDate": {
    "year": "<string>",
    "month": "<string>"
  },
  "status": "<string>",
  "panLast4": "<string>",
  "metadata": "<string>",
  "par": "<string>"
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}
{
"code": 123,
"requestId": "<string>",
"errorDetails": {
"reason": "<string>",
"message": "<string>",
"details": [
{
"location": "<string>",
"message": "<string>"
}
]
}
}

Authorizations

Authorization
string
header
required

Format is: Bearer <api_key>, where <api_key> is your Pagos API key

Headers

x-merchant-id
string
required

Merchant identifier for requests.

Path Parameters

tokenRefId
string | null
required

Response

Token is returned

cardNetworkName
string
tokenRefId
string
expirationDate
object
status
string
panLast4
string
metadata
string
par
string